import QtQuick 1.1
import com.nokia.meego 1.0
import FileIO 1.0

Page {
    id: page1
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait

    Label {
        id: lsavegame
        width: 280
        height: 30
        color: "#ffffff"
        text: "Select Save Game"
        verticalAlignment: Text.AlignBottom
        anchors.top: ltitle.bottom
        anchors.topMargin: 20
        anchors.right: parent.right
        anchors.rightMargin: 40
        anchors.left: parent.left
        anchors.leftMargin: 40
        styleColor: "#ffffff"
    }

    TextField {
        id: fmoney
        x: 40
        height: 60
        anchors.top: lmoney.bottom
        anchors.topMargin: 15
        anchors.right: parent.right
        anchors.rightMargin: 40
        z: 2
        anchors.left: parent.left
        anchors.leftMargin: 40
        maximumLength: 7
        inputMethodHints: Qt.ImhDigitsOnly
        validator: IntValidator{bottom: 0; top: 9999999}
        onTextChanged: {
            save.visible = true
            resetbutton.visible = true
        }
    }

    Label {
        id: lmoney
        x: 40
        height: 30
        color: "#ffffff"
        text: "Money"
        anchors.top: _buttonrow1.bottom
        anchors.topMargin: 20
        anchors.right: parent.right
        anchors.rightMargin: 40
        anchors.left: parent.left
        anchors.leftMargin: 40
        styleColor: "#ffffff"
    }

    Rectangle {
        id: rbackground
        x: 140
        y: 31
        color: "#000000"
        z: -1
                anchors.fill: parent
    }

    ButtonRow {
        id: _buttonrow1
        x: 40
        height: 60
        anchors.top: lsavegame.bottom
        anchors.topMargin: 15
        anchors.right: parent.right
        anchors.rightMargin: 40
        anchors.left: parent.left
        anchors.leftMargin: 40
        Button{
            id: game1
            text: "1"
            onClicked: {
                myFile.source = "/home/user/.gof2/persistent/gof2_save_game_0";
                fmoney.text = myFile.read();
                save.visible = false;
                resetbutton.visible = false;
                if( fmoney.text == "-999999" ) {
                    fmoney.visible = false;
                    messagetext.text = "File could not be opened. Ensure GOF2 is installed and a game is saved on this slot."
                } else {
                    fmoney.visible = true;
                    messagetext.text = "";
                }
            }
        }
        Button{
            id: game2
            text: "2"
            onClicked: {
                myFile.source = "/home/user/.gof2/persistent/gof2_save_game_1";
                fmoney.text = myFile.read();
                save.visible = false;
                resetbutton.visible = false;
                if( fmoney.text == "-999999" ) {
                    fmoney.visible = false;
                    messagetext.text = "File could not be opened. Ensure GOF2 is installed and a game is saved on this slot."
                } else {
                    fmoney.visible = true;
                    messagetext.text = "";
                }
            }
        }
        Button{
            id: game3
            text: "3"
            onClicked: {
                myFile.source = "/home/user/.gof2/persistent/gof2_save_game_2";
                fmoney.text = myFile.read();
                save.visible = false;
                resetbutton.visible = false;
                if( fmoney.text == "-999999" ) {
                    fmoney.visible = false;
                    messagetext.text = "File could not be opened. Ensure GOF2 is installed and a game is saved on this slot."
                } else {
                    fmoney.visible = true;
                    messagetext.text = "";
                }
            }
        }
        Button{
            id: game4
            text: "4"
            onClicked: {
                myFile.source = "/home/user/.gof2/persistent/gof2_save_game_3";
                fmoney.text = myFile.read();
                save.visible = false;
                resetbutton.visible = false;
                if( fmoney.text == "-999999" ) {
                    fmoney.visible = false;
                    messagetext.text = "File could not be opened. Ensure GOF2 is installed and a game is saved on this slot."
                } else {
                    fmoney.visible = true;
                    messagetext.text = "";
                }

            }
        }
        Button{
            id: game5
            text: "5"
            onClicked: {
                myFile.source = "/home/user/.gof2/persistent/gof2_save_game_4";
                fmoney.text = myFile.read();
                save.visible = false;
                resetbutton.visible = false;
                if( fmoney.text == "-999999" ) {
                    fmoney.visible = false;
                    messagetext.text = "File could not be opened. Ensure GOF2 is installed and a game is saved on this slot."
                } else {
                    fmoney.visible = true;
                    messagetext.text = "";
                }
            }
        }
        Button{
            id: game6
            text: "6"
            onClicked: {
                myFile.source = "/home/user/.gof2/persistent/gof2_save_game_5";
                fmoney.text = myFile.read();
                save.visible = false;
                resetbutton.visible = false;
                if( fmoney.text == "-999999" ) {
                    fmoney.visible = false;
                    messagetext.text = "File could not be opened. Ensure GOF2 is installed and a game is saved on this slot."
                } else {
                    fmoney.visible = true;
                    messagetext.text = "";
                }
            }
        }
    }

    FileIO {
            id: myFile
            source: "/home/user/.gof2/persistent/gof2_save_game_0"
            onError: console.log(msg)
        }

    Button {
        id: resetbutton
        text: "Reset"
        anchors.top: fmoney.bottom
        anchors.topMargin: 20
        x: 40
        height: 60
        width: 130
        anchors.left: parent.left
        anchors.leftMargin: 40
        onClicked: {
            fmoney.text = myFile.read();
            save.visible = false
            resetbutton.visible = false
        }
    }

    Button {
        id: save
        text: "Save"
        anchors.top: fmoney.bottom
        anchors.topMargin: 20
        anchors.leftMargin: 20
        x: 194
        height: 60
        width: 130
        anchors.left: resetbutton.right
        anchors.rightMargin: 40
        onClicked: {
            myFile.writesavegame(fmoney.text)
            save.visible = false
            resetbutton.visible = false
        }
    }

    Label {
        id: messagetext
        x: 40
        width: 280
        height: 80
        color: "#ffffff"
        text: ""
        anchors.top: lmoney.bottom
        anchors.topMargin: 15
        styleColor: "#ffffff"
        anchors.right: parent.right
        anchors.rightMargin: 40
        anchors.left: parent.left
        anchors.leftMargin: 40
    }

    Text {
        id: ltitle
        x: 40
        y: 19
        width: 280
        height: 63
        text: qsTr("GOF2 Editor")
        font.pixelSize: 52
        color: "#ffffff"
        styleColor: "#ffffff"
        anchors.top: parent.top
        anchors.topMargin: 19
        anchors.right: parent.right
        anchors.rightMargin: 40
        anchors.left: parent.left
        anchors.leftMargin: 40
    }

    Component.onCompleted: {
        fmoney.text = myFile.read();
        save.visible = false;
        resetbutton.visible = false;
        messagetext = "";
    }
}
